CSM Cloud - Requirements

There are a few requirements for devices using Centero Software Manager Cloud.

  • Operating system version must be Windows 7 or newer
  • Operating system edition must be Enterprise, Professional or Education
  • Microsoft .NET-framework version 4.x